Descrizione
Lo strumento Spazio consente di definire un volume vuoto, basato su una forma solida, oppure definendo i suoi confini, o con un mix di entrambi. Se è basato esclusivamente sui confini, il volume viene calcolato a partire dai confini dati, e sottraendo lo spazio interno ai confini. L'oggetto Spazio definisce sempre un volume solido. Può anche essere visualizzata la superficie di un oggetto spazio, calcolata intersecando un piano orizzontale nel centro di massa del volume dello spazio.
Oggetto spazio creato da un oggetto solido esistente, poi sono aggiunte due facce della parete come confini.
Utilizzo
- Selezionare un oggetto solido esistente o le facce che lo delimitano.
- Invocare il comando Spazio utilizzando uno dei seguenti metodi:
- Premendo il pulsante
Spazio nella barra degli strumenti.
- Usando i tasti della tastiera S e poi P
- Usando la voce Arch → Spazio dal menu in alto
- Premendo il pulsante
Once a space has been created, you can also add or remove boundaries to/from it using the Add or
Remove buttons in the toolbar. Alternatively, you can also do this in the Tasks panel or in the Property editor.
As an example, to add a boundary, given a space that intersects a wall:
- Select the wall face that intersects the space. That will be the new boundary.
- Keeping the Ctrl key pressed, select the space.
- Press the
Add button in the toolbar.
- The wall face now defines a new boundary, and the space will only extend up to the wall face in the direction facing it.
The same example: add a boundary, given a space that intersects a wall. This time we're using the Tasks panel:
- Double-click the space object in the Tree View. This will activate its Tasks panel.
- Select the wall face that intersects the space. That will be the new boundary.
- Press the
Add button in the Tasks panel. The name of the wall face will be displayed in the "Space boundaries" section there.
- Press the OK button in the Tasks panel.
- The wall face now defines a new boundary, and the space will only extend up to the wall face in the direction facing it.
Yet another alternative: add a boundary, given a space that intersects a wall. This time we're using the Property editor:
- Navigate to the Property View and locate the DatiBoundaries property under the "Space" group.
- On the right hand side of the DatiBoundaries property, click on the ellipsis button.
- Select the wall face that intersects the space. That will be the new boundary. The "Link" dialog will reflect your selection.
- Press the OK button in the "Link" dialog.
- The wall face now defines a new boundary, and the space will only extend up to the wall face in the direction facing it.
Limitazioni
- Attualmente, le proprietà boundaries non sono modificabile tramite GUI.
- Per seguire l'evoluzione dello strumento consultare la pagina Arch Space nel forum.
Proprietà
- DatiBase: L'oggetto base, se esiste (deve essere un solido).
- DatiBoundaries: Un elenco di confini opzionali.
- DatiArea: L'area del pavimento calcolata in questo spazio.
- DatiFinishFloor: La finitura del pavimento di questo spazio.
- DatiFinishWalls: La finitura delle pareti di questo spazio.
- DatiFinishCeiling: La finitura del soffitto di questo spazio.
- DatiGroup: Gli oggetti che sono inclusi in questo spazio, come arredo.
- DatiSpaceType: Il tipo di questo spazio.
- DatiFloorThickness: Lo spessore della finitura del pavimento.
- DatiNumberOfPeople: Il numero di persone che di solito occupano questo spazio.
- DatiLightingPower: La potenza elettrica necessaria per illuminare questo spazio in Watt.
- DatiEquipmentPower: La potenza elettrica necessaria per gli apparecchi di questo spazio in Watt.
- DatiAutoPower: Se True, Equipment Power viene compilata automaticamente dalla potenza degli apparecchi inclusi in questo spazio.
- DatiConditioning: Il tipo di aria condizionata di questo spazio.
- DatiInternal: Specifica se questo spazio è interno o esterno.
- VistaText: Il testo da mostrare. Usare $area, $label, $tag, $floor, $walls, $ceiling per inserire i rispettivi dati.
- VistaFontName: Il nome del carattere.
- VistaTextColor: Il colore del testo.
- VistaFontSize: La dimensione del testo.
- VistaFirstLine:La dimensione della prima riga di testo (moltiplica la dimensione del carattere 1 = stessa dimensione, 2 = doppia dimensione, ecc.).
- VistaLineSpacing: Lo spazio tra le righe di testo.
- VistaTextPosition: La posizione del testo. Lasciare (0,0,0) per la posizione automatica.
- VistaTextAlign: La giustificazione del testo.
- VistaDecimals: Il numero di decimali da utilizzare per i testi calcolati.
- VistaShowUnit: Mostra il suffisso dell'unità di misura o no.
Opzioni
- Per creare zone che raggruppano più spazi, utilizzare Parte di edificio e impostare il tipo di IFC su "Spatial Zone"
- L'oggetto Spazio ha le stesse modalità di visualizzazione degli altri oggetti Arch e Part, con una modalità in più chiamata Footprint, che visualizza solo la faccia inferiore dello spazio.
Script
Vedere anche: API di Arch e Nozioni di base sugli script di FreeCAD.
Lo strumento Spazio può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:
Space = makeSpace(objects=None, baseobj=None, name="Space")
- Crea un oggetto
Space
con gliobjects
dati, o con unbaseobj
, che può essere.- un oggetto del documento, nel qual caso diventa la forma base dell'oggetto Spazio, o
- un elenco di oggetti selezionati restituiti da
FreeCADGui.Selection.getSelectionEx()
, o - una lista di tuple
(object, subobjectname)
Esempio:
import FreeCAD, Arch
Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 1000
Box.Width = 1000
Box.Height = 1000
Space = Arch.makeSpace(Box)
Space.ViewObject.LineWidth = 2
FreeCAD.ActiveDocument.recompute()
Dopo aver creato un oggetto spazio, ad esso si possono aggiungere delle facce selezionate con il seguente codice:
import FreeCAD, FreeCADGui, Draft, Arch
points = [FreeCAD.Vector(-500, 0, 0), FreeCAD.Vector(1000, 1000, 0)]
Line = Draft.makeWire(points)
Wall = Arch.makeWall(Line, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()
# Select a face of the wall
selection = FreeCADGui.Selection.getSelectionEx()
Arch.addSpaceBoundaries(Space, selection)
I confini possono anche essere rimossi, selezionando nuovamente le facce indicate:
selection = FreeCADGui.Selection.getSelectionEx()
Arch.removeSpaceBoundaries(Space, selection)
Questa pagina è recuperata da https://wiki.freecad.org/Arch_Space